Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.config
Class BeanIds

    java.lang.Object
      org.springframework.flex.config.BeanIds

    public abstract class BeanIds

extends Object

Default bean ids for beans configured with the XML namespace.

Author:
  Jeremy Grelle, Rohit Kumar

Field Summary
`static String` | `DATASERVICES_CONFIG_PROCESSOR_SUFFIX`
`static String` | `ENDPOINT_PROCESSOR_SUFFIX`
`static String` | `FLEX_SESSION_AUTHENTICATION_LISTENER`
`static String` | `HANDLER_MAPPING_SUFFIX`
`static String` | `HIBERNATE_SERIALIZATION_PROCESSOR`
`static String` | `JSON_CONFIG_MAP_EDITOR_CONFIGURER`
`static String` | `LOGIN_COMMAND_SUFFIX`
`static String` | `LOGIN_INTERCEPTOR_SUFFIX`
`static String` | `MESSAGE_BROKER`
`static String` | `MESSAGE_BROKER_HANDLER_ADAPTER`
`static String` | `MESSAGING_PROCESSOR_SUFFIX`
`static String` | `REMOTING_ANNOTATION_PROCESSOR`
`static String` | `REMOTING_PROCESSOR_SUFFIX`
`static String` | `SECURITY_CONFIG_POST_PROCESSOR`
`static String` | `SESSION_FIXATION_PROTECTION_CONFIGURER`

Constructor Summary
`BeanIds()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MESSAGE_BROKER

    public static final String MESSAGE_BROKER

See Also:
  Constant Field Values

### FLEX_SESSION_AUTHENTICATION_LISTENER

    public static final String FLEX_SESSION_AUTHENTICATION_LISTENER

See Also:
  Constant Field Values

### SESSION_FIXATION_PROTECTION_CONFIGURER

    public static final String SESSION_FIXATION_PROTECTION_CONFIGURER

See Also:
  Constant Field Values

### REMOTING_ANNOTATION_PROCESSOR

    public static final String REMOTING_ANNOTATION_PROCESSOR

See Also:
  Constant Field Values

### HIBERNATE_SERIALIZATION_PROCESSOR

    public static final String HIBERNATE_SERIALIZATION_PROCESSOR

See Also:
  Constant Field Values

### MESSAGE_BROKER_HANDLER_ADAPTER

    public static final String MESSAGE_BROKER_HANDLER_ADAPTER

See Also:
  Constant Field Values

### HANDLER_MAPPING_SUFFIX

    public static final String HANDLER_MAPPING_SUFFIX

See Also:
  Constant Field Values

### LOGIN_COMMAND_SUFFIX

    public static final String LOGIN_COMMAND_SUFFIX

See Also:
  Constant Field Values

### SECURITY_CONFIG_POST_PROCESSOR

    public static final String SECURITY_CONFIG_POST_PROCESSOR

See Also:
  Constant Field Values

### ENDPOINT_PROCESSOR_SUFFIX

    public static final String ENDPOINT_PROCESSOR_SUFFIX

See Also:
  Constant Field Values

### REMOTING_PROCESSOR_SUFFIX

    public static final String REMOTING_PROCESSOR_SUFFIX

See Also:
  Constant Field Values

### MESSAGING_PROCESSOR_SUFFIX

    public static final String MESSAGING_PROCESSOR_SUFFIX

See Also:
  Constant Field Values

### DATASERVICES_CONFIG_PROCESSOR_SUFFIX

    public static final String DATASERVICES_CONFIG_PROCESSOR_SUFFIX

See Also:
  Constant Field Values

### LOGIN_INTERCEPTOR_SUFFIX

    public static final String LOGIN_INTERCEPTOR_SUFFIX

See Also:
  Constant Field Values

### JSON_CONFIG_MAP_EDITOR_CONFIGURER

    public static final String JSON_CONFIG_MAP_EDITOR_CONFIGURER

See Also:
  Constant Field Values

Constructor Detail

### BeanIds

    public BeanIds()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.